### Method

# Ide Diagnostic take_fixit

#### Declaration

    void
    ide_diagnostic_take_fixit (
      IdeDiagnostic* self,
      IdeTextEdit* fixit
    )

#### Description

Adds a source fixit to the diagnostic, but does not increment the reference count of `fixit`.

Available since: | 3.32

#### Parameters

`fixit` | `IdeTextEdit`
| An `IdeTextEdit`.
| The instance takes ownership of the data, and is responsible for freeing it.